<div class="notification_template">
  <mat-form-field class="input">
    <input
      matInput
      type="text"
      placeholder="Name"
      [disabled]="disabled"
      [(ngModel)]="data.template_name"
    />
  </mat-form-field>
  <mat-form-field class="input date">
    <input
      type="text"
      matInput
      placeholder="Date"
      disabled
      (ngModelChange)="data.inserted_at = $event"
      [ngModel]="data.inserted_at + 'Z' | date : 'yyyy-MM-dd HH:mm:ss'"
    />
  </mat-form-field>
  <span class="edit">
    <button
      mat-button
      [disabled]="
        selected_notification_template &&
        selected_notification_template != data.id
      "
      color="primary"
      *ngIf="disabled"
      (click)="edit(true)"
    >
      <mat-icon>edit</mat-icon>
    </button>
    <button
      mat-button
      [disabled]="
        selected_notification_template &&
        selected_notification_template != data.id
      "
      color="primary"
      *ngIf="!disabled"
      (click)="edit(false)"
    >
      <mat-icon>save</mat-icon>
    </button>
  </span>
  <span class="delete">
    <button
      mat-button
      color="warn"
      [disabled]="
        selected_notification_template &&
        selected_notification_template != data.id
      "
      (click)="delete()"
    >
      <mat-icon>delete_forever</mat-icon>
    </button>
  </span>
</div>
